Subject: Re: bug#61667: 29.0.60; Failure to redisplay

From: Dmitry Gutov <[email-masked]>
Date: Sat, 25 Feb 2023 15:57:46 +0200

On 25/02/2023 09:57, Eli Zaretskii wrote:
>> Date: Sat, 25 Feb 2023 01:34:32 +0200
>> Cc: Po Lu<[email-masked]>,[email-masked],
>>   Eli Zaretskii<[email-masked]>
>> From: Dmitry Gutov<[email-masked]>
>>
>> Anyway, I couldn't reproduce the problem under it either. Emacs's
>> startup was noticeably slower there as well, though. Just like under
>> Window Maker. I wonder what could be the reason for both.
> Since this issue is all about timing, I'm not sure if the slower
> startup somehow makes the problem disappear or be masked, similarly to
> adding printfs (although the printfs effect is much better explained
> by some problem with damage tracking than by timing alone).

Damage tracking is indeed the better explanation, but I've also had the 
problem disappear when a certain background window was present. Even 
when entirely occluded.